1. Orders
Printags Public
  • Accounts
    • Get current account
      GET
    • Get an account by ID
      GET
  • Orders
    • Find orders
      GET
    • Get an order by ID
      GET
    • Create a new order
      POST
    • Validate an order
      POST
  • Files
    • Upload a file
      POST
    • Get a file by ID
      GET
  • Statuses
    • Get all statuses
      GET
  • Schemas
    • Account
    • Address
    • Customer
    • Model
    • Product
    • ProductGroup
    • SubscriptionPlan
    • Shipping
    • Order
    • NFC
  1. Orders

Create a new order

POST
/accounts/{accountId}/orders
Creates a new order associated with the specified account ID.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Order created successfully
Body

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/accounts//orders' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "isDraft": false,
    "reference": "Order-JeanDupont-2024",
    "carrierServiceId": "lpf_standard",
    "shipTo": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Jean Dupont",
        "phone": "+33612345678",
        "email": "jean.dupont@example.fr",
        "address": {
            "addressLine1": "10 rue de la République",
            "addressLine2": "Appartement 123",
            "city": "Paris",
            "postcode": "75001",
            "countryCode": "FR"
        },
        "servicePoint": {
            "id": "12624766",
            "country": "LU"
        }
    },
    "products": [
        {
            "quantity": 1,
            "modelId": "pvccard_white",
            "metadata": {
                "internalId": "a3d3842e-89c0-41d2-9384-2e89c021d2bc"
            },
            "packagingId": "aluminum_protection",
            "printingVisuals": [
                "0806a77d-8007-4cfc-86a7-7d80079cfc8f",
                "a77d8007-007c-fc86-7a7d-80079cfc8f0"
            ],
            "nfc": {
                "type": "empty",
                "content": "https://example.com",
                "dynamic": {
                    "baseUrl": "https://example.com",
                    "records": {
                        "recordId": 1,
                        "publicKey": "B5ADF942C642D16B2803CA672F47D11D",
                        "privateKey": "82F87EB3F693B84BCC154A0373363A62"
                    }
                }
            }
        }
    ],
    "groups": [
        {
            "quantity": 1,
            "modelId": "pvccard_white",
            "metadata": {
                "internalId": "a3d3842e-89c0-41d2-9384-2e89c021d2bc"
            },
            "packagingId": "aluminum_protection",
            "printingVisuals": [
                "0806a77d-8007-4cfc-86a7-7d80079cfc8f",
                "a77d8007-007c-fc86-7a7d-80079cfc8f0"
            ],
            "nfc": {
                "type": "empty",
                "content": "https://example.com",
                "dynamic": {
                    "baseUrl": "https://example.com",
                    "records": {
                        "recordId": 1,
                        "publicKey": "B5ADF942C642D16B2803CA672F47D11D",
                        "privateKey": "82F87EB3F693B84BCC154A0373363A62"
                    }
                }
            }
        }
    ]
}'
Response Response Example
{
    "success": true,
    "orderId": "987e6543-e21a-11d4-a789-0242ac120002"
}
Modified at 2026-04-02 11:43:40
Previous
Get an order by ID
Next
Validate an order
Built with